package com.cool.bang.modules.system.domain.po;

import com.cool.bang.common.base.BaseDomain;

/**
 * system log table
 *
 * @author PeiZhi Guo
 * 2021-04-23 14:20
 */
public class Log extends BaseDomain {

    private static final long serialVersionUID = 1L;

	private Integer id;
	private Integer status;         // 操作状态 0:失败 1:成功
	private String  title;          // 功能模块
	private Integer operationType;  // 操作类型
	private String  httpMethod;     // 操作方式
	private String  requestUri;     // 请求URI
	private String  classMethod;    // 请求类型.方法
	private String  queryParams;    // 操作提交的数据
	private String  username;       // 操作用户昵称
	private String  sessionId;      // sessionId
	private String  response;       // 返回内容
	private Long    useTime;        // 方法执行时间
	private String  province;       // 省
	private String  city;           // 市
	private String  area;           // 地区
	private String  isp;            // 网络服务提供商
	private String  browser;        // 浏览器信息
	private String  remoteAddr;     // 操作IP地址
	private String  exception;      // 异常信息

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public Integer getStatus() {
		return status;
	}

	public void setStatus(Integer status) {
		this.status = status;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public Integer getOperationType() {
		return operationType;
	}

	public void setOperationType(Integer operationType) {
		this.operationType = operationType;
	}

	public String getHttpMethod() {
		return httpMethod;
	}

	public void setHttpMethod(String httpMethod) {
		this.httpMethod = httpMethod;
	}

	public String getRequestUri() {
		return requestUri;
	}

	public void setRequestUri(String requestUri) {
		this.requestUri = requestUri;
	}

	public String getClassMethod() {
		return classMethod;
	}

	public void setClassMethod(String classMethod) {
		this.classMethod = classMethod;
	}

	public String getQueryParams() {
		return queryParams;
	}

	public void setQueryParams(String queryParams) {
		this.queryParams = queryParams;
	}

	public String getUsername() {
		return username;
	}

	public void setUsername(String username) {
		this.username = username;
	}

	public String getSessionId() {
		return sessionId;
	}

	public void setSessionId(String sessionId) {
		this.sessionId = sessionId;
	}

	public String getResponse() {
		return response;
	}

	public void setResponse(String response) {
		this.response = response;
	}

	public Long getUseTime() {
		return useTime;
	}

	public void setUseTime(Long useTime) {
		this.useTime = useTime;
	}

	public String getProvince() {
		return province;
	}

	public void setProvince(String province) {
		this.province = province;
	}

	public String getCity() {
		return city;
	}

	public void setCity(String city) {
		this.city = city;
	}

	public String getArea() {
		return area;
	}

	public void setArea(String area) {
		this.area = area;
	}

	public String getIsp() {
		return isp;
	}

	public void setIsp(String isp) {
		this.isp = isp;
	}

	public String getBrowser() {
		return browser;
	}

	public void setBrowser(String browser) {
		this.browser = browser;
	}

	public String getRemoteAddr() {
		return remoteAddr;
	}

	public void setRemoteAddr(String remoteAddr) {
		this.remoteAddr = remoteAddr;
	}

	public String getException() {
		return exception;
	}

	public void setException(String exception) {
		this.exception = exception;
	}
}
